commit:     765505c7c23222da354cdd19d7c301df14c4431f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 11 05:39:08 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Feb 11 07:17:48 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=765505c7

net-im/fractal: Bump to 10.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 net-im/fractal/Manifest            |   2 +
 net-im/fractal/fractal-10.1.ebuild | 102 +++++++++++++++++++++++++++++++++++++
 2 files changed, 104 insertions(+)

diff --git a/net-im/fractal/Manifest b/net-im/fractal/Manifest
index 244cca39f467..4abdcf7e0e11 100644
--- a/net-im/fractal/Manifest
+++ b/net-im/fractal/Manifest
@@ -1,4 +1,6 @@
 DIST fractal-10-crates.tar.xz 47632864 BLAKE2B 
f4e9db45c77e85799716994e23fa317b258172c44d2566b665736bd8f897dab95e726aff3d98268e7868872faa50d2f06119b783935ea8be14d3c409eb32f29b
 SHA512 
97f601fb492c369071ee79b38a81cb19c2e789020406137836141d16c5554c67daa367abf4ec87db63ad7c9555114878b80a1873c97777da9af06c3b1271b5e3
+DIST fractal-10.1-crates.tar.xz 51337456 BLAKE2B 
c6ba4a95bbc6ab19d13c2d9a175d37de59561492ecc1b98104af111ca196fc13f2ba400a2af268760ac88ce73f3c4a13b0c67c5601892f882a2bf3d4e4a6d879
 SHA512 
427061e701d16c112df5e67dcd779cdae8879c18e31e684380b6b64a2158cc802a31ec48b383a58ba5014169b57556c658a7111f50c633e7516c9e6938b9658b
+DIST fractal-10.1.tar.bz2 1978922 BLAKE2B 
0cb300af55c6403502e904d5b777fe1b4d9fd5a7ee3851ffbfdd373a1cf9eca328b59ad7023532d5435d0956d6ab7a22a5614c0576f38a5140d2d298ac23d3c9
 SHA512 
f0864dd9fbf1a38eed28cad1af474a8fbaf3e87095988ce0571b6012c14eec4e10fb23d9a3f416cef114b064145d83d0f505b371ff7553edd783bd7497bfe3d8
 DIST fractal-10.tar.bz2 1977895 BLAKE2B 
92fa3cd3e546d373e474724c7921ecb39809d60d28f2012435e770a118aee003536e00623a6e2ab66c10bec1df1a9cc49e40f11de313a63070998bfcb0e030c6
 SHA512 
6755493f0d99edd5b1517c6d2da6589961d2cc92cbc63e1c7c723a756324272caf18d5b26591ef939fcd43f091b422dec6dc5e254ec2733010a7f952679c0d11
 DIST fractal-8.tar.bz2 1860423 BLAKE2B 
d6b0b0a8f479d7ceda4c40bd9eb677ef01abf8304ebd4ba8d15bc96557c78ec84af37fbca241feec3e85b3ef3b4ae6bc7564a40c5232830b43b03cd73e6fe9f4
 SHA512 
cae1e9f85fb570a075ceb88c115d5ce8169a3c38920765e46fd0f92e6c962a2377338e330d54cf3944903828db1c0c50c51ff4de2a079b34a478248485aad952
 DIST fractal-8_rc-crates.tar.xz 49000316 BLAKE2B 
b9c68668e762563a06ba176e23b76fab23ba97e61e48c01ad18e063426fc906c20c559a0f812fa08871b916156d3374b9308390f950e3dd1fa56ab270f8d283e
 SHA512 
8c855aae2fbddbe2c186b6e1c0ef269ab1ced6c5ea1f3e7270681d6523549569aa6ccab91cbc803b1322d5115d9c8cda0df75d8eef9db559f10834d542454723

diff --git a/net-im/fractal/fractal-10.1.ebuild 
b/net-im/fractal/fractal-10.1.ebuild
new file mode 100644
index 000000000000..c6d1e16918d3
--- /dev/null
+++ b/net-im/fractal/fractal-10.1.ebuild
@@ -0,0 +1,102 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES="
+"
+
+RUST_MIN_VER="1.82.0"
+
+inherit cargo gnome2-utils meson
+
+MY_P=${P/_/.}
+CRATE_P=fractal-${PV}
+
+DESCRIPTION="Matrix messaging app for GNOME written in Rust"
+HOMEPAGE="
+       https://wiki.gnome.org/Apps/Fractal
+       https://gitlab.gnome.org/World/fractal/
+"
+SRC_URI="
+       
https://gitlab.gnome.org/World/fractal/-/archive/${PV/_/.}/${MY_P}.tar.bz2
+       ${CARGO_CRATE_URIS}
+"
+if [[ ${PKGBUMPING} != ${PVR} ]]; then
+       SRC_URI+="
+               
https://github.com/gentoo-crate-dist/fractal/releases/download/${PV}/${CRATE_P}-crates.tar.xz
+       "
+fi
+S=${WORKDIR}/${MY_P}
+
+LICENSE="GPL-3+"
+# Dependent crate licenses
+LICENSE+="
+       Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD Boost-1.0
+       GPL-3+ ISC MIT MPL-2.0 MPL-2.0 Unicode-3.0 ZLIB
+"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="
+       >=dev-libs/glib-2.82
+       >=gui-libs/gtk-4.16:4
+       >=gui-libs/libadwaita-1.6:1
+
+       >=media-libs/gstreamer-1.20:1.0
+       >=media-libs/gst-plugins-bad-1.20:1.0
+       >=media-libs/gst-plugins-base-1.20:1.0
+
+       >=gui-libs/gtksourceview-5.0.0:5
+       >=media-libs/libwebp-1.0.0:=
+       >=dev-libs/openssl-1.0.1:=
+       >=media-libs/libshumate-1.2:1.0
+       >=dev-db/sqlite-3.24.0:3
+       >=sys-apps/xdg-desktop-portal-1.14.1
+
+       >=media-libs/lcms-2.12.0:2
+       >=sys-libs/libseccomp-2.5.0:=
+
+"
+RDEPEND="
+       ${DEPEND}
+       media-libs/glycin-loaders
+       media-plugins/gst-plugin-gtk4
+       virtual/secret-service
+"
+# clang needed by bindgen
+BDEPEND="
+       llvm-core/clang
+       dev-lang/grass
+"
+
+# Rust
+QA_FLAGS_IGNORED="usr/bin/fractal"
+
+src_prepare() {
+       default
+
+       # upstream dev settings are insane
+       sed -i -e 's:profile\.dev:ignored.insanity:' Cargo.toml || die
+}
+
+src_configure() {
+       local mymesonargs=(
+               #-Ddisable-glycin-sandbox=true
+       )
+
+       meson_src_configure
+       ln -s "${CARGO_HOME}" "${BUILD_DIR}/cargo-home" || die
+}
+
+pkg_postinst() {
+       gnome2_schemas_update
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       gnome2_schemas_update
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}

Reply via email to